/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class EsignStatusEnum extends IntEnum
{
    public static final int DRAFT_VALUE = 0;//alias=草稿
    public static final int SIGNING_VALUE = 1;//alias=签署中
    public static final int COMPLETED_VALUE = 2;//alias=完成
    public static final int REVOKED_VALUE = 3;//alias=撤销
    public static final int EXPIRED_VALUE = 5;//alias=过期
    public static final int REJECTED_VALUE = 7;//alias=拒签

    public static final EsignStatusEnum DRAFT = new EsignStatusEnum("DRAFT", DRAFT_VALUE);
    public static final EsignStatusEnum SIGNING = new EsignStatusEnum("SIGNING", SIGNING_VALUE);
    public static final EsignStatusEnum COMPLETED = new EsignStatusEnum("COMPLETED", COMPLETED_VALUE);
    public static final EsignStatusEnum REVOKED = new EsignStatusEnum("REVOKED", REVOKED_VALUE);
    public static final EsignStatusEnum EXPIRED = new EsignStatusEnum("EXPIRED", EXPIRED_VALUE);
    public static final EsignStatusEnum REJECTED = new EsignStatusEnum("REJECTED", REJECTED_VALUE);

    /**
     * construct function
     * @param integer esignStatusEnum
     */
    private EsignStatusEnum(String name, int esignStatusEnum)
    {
        super(name, esignStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static EsignStatusEnum getEnum(String esignStatusEnum)
    {
        return (EsignStatusEnum)getEnum(EsignStatusEnum.class, esignStatusEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static EsignStatusEnum getEnum(int esignStatusEnum)
    {
        return (EsignStatusEnum)getEnum(EsignStatusEnum.class, esignStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(EsignStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(EsignStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(EsignStatusEnum.class);
    }
}